#!/usr/bin/python
# -*- coding: utf8 -*-
#
# Задача "Шахматная головоломка"
# XVIII командный чемпионат школьников Санкт-Петербурга по программированию
# Автор задачи: Виталий Аксенов
# Автор решения: Владимир Ульянцев, ulyantsev@rain.ifmo.ru

with open("chess.in") as inf:
    k = inf.readline()
    x = ord(k[0]) - ord('a')
    y = int(k[1]) - 1

with open("chess.out", 'w') as ouf:
    print >>ouf, k[0] + str((y + 3) % 8 + 1)
    if x > 0 and y > 0:
        print >>ouf, chr(ord('a') + x - 1) + str(y) 
    else:
        print >>ouf, chr(ord('a') + x + 1 - 2 * (x % 2)) + str(y + 2 - 2 * (y % 2))
